Overview

This help system provides page-level information to assist the operation of the IO-Link Master.

For initial IO-Link Master configuration or for multiple IO-Link Master management operations, you can use PortVision DX. PortVision DX also provides hardware information in the Properties page.

In addition, the documents are available in the IO-Link Master library:

  • IO-Link Master 4-EIP User Guide contains detailed installation procedures, hardware and IO-Link configuration information.

  • IO-Link Master EtherNet/IP Reference Manual contains detailed information about the IO-Link Master to EtherNet/IP interface.

  • IO-Link Master Modbus/TCP Reference Manual contains detailed information about the IO-Link Master to Modbus/TCP interface.


Home Page

The Home page contains the following information.

System Information

Description

Host Name

This is the Host Name configured in the Network Configuration page.

This is not the same as the Device Name in using PortVision DX, although you can configure the Host Name and Device Name as the same name.

There is no default name.

Model Name

This is the name of the IO-Link Master model. The Model Name cannot be changed.

Application Base

This is application base that loaded on the IO-Link Master. Typically, you should always load the latest application base.

For more information about IO-Link Master applications, you can refer to:

  • Advanced - Software page, which displays the software versions and is used to update images and applications

  • Help - Support page for detailed system information

Uptime

This is the time period that has lapsed since this IO-Link Master came on-line.


Diagnostics

There are three Diagnostic pages available for troubleshooting or to verify proper operation.

  • IO-Link

  • EtherNet/IP

  • Modbus/TCP

Related Topics

  • IO-Link Settings

  • EtherNet/ip Settings

  • Modbus/TCP Settings


IO-Link (Diagnostics)

The IO-Link Diagnostics page provides the following information. You can refer to IO-Link Settings, if you need additional information about changing IO-Link configuration parameters.

Click the PAUSE LIVE UPDATES button to pause the diagnostic data collection. Click the RESUME button restart the data collection.

Click the RESET STATISTICS button to reset the values and gather the latest statistics.

Parameters

IO-Link Diagnostics Descriptions

Port Mode

Displays the active Device Mode:

  • Reset – The port is configured to disable all functionality.

  • IO-Link – The port is configured to IO-Link mode.

  • Digital In – The port is configured to operate as a digital input.

  • Digital Out – The port is configured to operate as a digital output.

Port Status

Displays the Port Status:

  • Inactive – The port is in active state. Typically, this indicates that the device is either not attached or not detected.

  • Initializing – The port is in the process of initializing.

  • Operational – The port is operational and, if in IO-Link mode, communications to the IO-Link device has been established.

  • PDI Valid – The PDI data is now valid.

  • Fault – The port has detected a fault and is unable to re-establish communications.

Device Vendor Name

Displays the Device Vendor Name as stored in ISDU index 16.

Device Product Name

The Device Product Name as stored in ISDU index 18.

Device Serial Number

The Device Serial Number as stored in ISDU index 21.

Device Hardware Version

The Device Hardware Version as stored in ISDU Index 22.

Device Firmware Version

The Device Firmware Version as stored in ISDU Index 23.

Device IO-Link Version

The supported Device IO-Link Version as stored in ISDU Index 0.

Auxiliary Bit Status

The current status of the auxiliary bit as received on Pin 2 of the IO-Link port.

Device PDI Data Length

The supported Device PDI Data Length, in bytes, as stored in ISDU Index 0.

PDI Data Valid

Current status of PDI data as received from the IO-Link device.

Last Rx PDI Data (MS Byte First)

The last Rx PDI data as received frm the IO-Link devices.

Device PDO Data Length

The supported Device PDO Data Length, in bytes, as stored in ISDU Index 0.

Lost PDO Controller(s) Errors

The number of times that the PDO controller(s) were present and then lost connection.

PDO Data Valid

Status of PDO data being received from controller(s).

Last Tx PDO Data (MS Byte First)

The last Tx PDO data.

Time Since Initialization

The time since the last port initialization.

Lost Communication Count

The number of times that communication has been lost to the IO-Link device.

Initialization Attempts

The number of times the IO-Link port was initialized.

Initialization Errors

The number of port initialization errors that occurred.

Process Data Errors

The number of process data errors the port received.

Process Data Retries

The number of process data retries the port performed.

Internal Communication Errors

The number of IO-Link Master internal communication errors that occurred on this port.

Device Communication Errors

The number of device specific communication errors that occurred.

ISDU Read Cmd Attempts

The number of read ISDU command attempts.

ISDU Read Cmd Errors

The number of read ISDU command errors.

Minimum ISDU Read Cmd Resp Time

The minimum, or shortest, read ISDU command response time.

Maximum ISDU Read Cmd Resp Time

The maximum, or longest, read ISDU command response time.

Average ISDU Read Cmd Resp Time

The average ISDU read command response time.

Average ISDU Read Cmd Byte Time

The average per-byte read ISDU response time.

ISDU Write Cmd Attempts

The number of write ISDU command attempts.

ISDU Write Cmd Errors

The number of write ISDU command errors.

Minimum ISDU Write Cmd Resp Time

The minimum, or shortest, write ISDU command response time.

Maximum ISDU Write Cmd Resp Time

The maximum, or longest, write ISDU command response time.

Average ISDU Write Cmd Resp Time

The average ISDU write command response time.

Average ISDU Write Cmd Byte Time

The average per-byte ISDU write response time.

Total Events

The total number of events that were received on this port.

First Events

Up to the first, or oldest, three events that were received on this port.

Last Events

Up to the last, or most recent, three events that were received on this port.


EtherNet/IP (Diagnostics)

The EtherNet/IP Diagnostics page contains this information. You can refer to EtherNet/IP Settings for information about changing EtherNet/IP parameter values. If you want detailed information about the EtherNet/IP interface and the IO-Link Master, see the IO-Link Master EtherNet/IP Reference Manual.

Click the PAUSE LIVE UPDATES button to pause the diagnostic data collection. Click the RESUME button restart the data collection.

Click the RESET STATISTICS button to reset the values and gather the latest statistics.

Parameters

EtherNet/IP Diagnostic Descriptions

Active Session Count

The number of active EtherNet/IP sessions. A session can:

  • Support both Class 1 I/O and Class 3 Messages

  • Can be initiated by either the PLC or the IO-Link Master

  • Can be terminated by either the PLC or the IO-Link Master

Active Connections

The current number of active connections (both Class 1 and 3).

Total Connections Established

The total number of connections that have been established.

Connection Timeouts

The number of connections that have closed due to timing out.

Connections Closed

The number connections that have closed due to a standard processes.

Class 3 Messages/Responses Received

The number of Class 3 messages and responses received from the PLC(s).

Broadcast Messages Received

The number of broadcast messages received from PLC(s).

Class 3 Messages/Responses Transmitted

The number of Class 3 messages and responses sent to the PLC(s).

Class 1 Output Updates (From PLC)

The number of Class 1 output data updates received from the PLC(s).

Class 1 Output Data Changes (From PLC)

The number of changes in Class 1 output data received from the PLC.

Class 1 Input Data Updates (To PLC)

The number of Class 1 input data updates sent to the PLC(s).

Client Object Requests

The number of Class 3 requests to the IO-Link Master vendor specific objects.

Good Responses from PLC

The number of good responses from messages sent to PLC(s).

Bad Responses from PLC

Displays the number of bad responses from messages sent to the PLC(s). Bad responses are typically returned for such errors as:

  • Incorrect tag or file names

  • Incorrect tag or file data types

  • Incorrect tag or file data sizes

  • PLC is overloaded and cannot handle the amount of Ethernet traffic

  • PLC malfunction

No Responses from PLC

Displays the number of no responses from messages sent to the PLC(s). No responses are typically returned for such errors as:

  • Incorrect IP address

  • Incorrect PLC configuration

  • PLC malfunction

  • PLC is overloaded and cannot handle the amount of Ethernet traffic

Invalid Network Paths

Displays the number of network path errors on messages sent to the PLC(s). These are typically caused by incorrect IP address settings.

Pending Request Limit Reached

Displays the number of pending request limit errors. These errors occur when the PLC is sending a continuous stream of messages to the IO-Link Master faster than the IO-Link Master can process them.

Unexpected Events

Displays the number of unexpected event errors. Unexpected event errors occur when the IO-Link Master receives an unexpected message from the PLC such as an unexpected response or unknown message.

Unsupported CIP Class Errors

Displays the number of unsupported CIP class errors.

These errors occur when a message that attempts to access an invalid class is received by the IO-Link Master.

Unsupported CIP Instance Errors

Displays the number of unsupported CIP instance errors.

These errors occur when a message that attempts to access an invalid instance is received by the IO-Link Master.

Unsupported CIP Service Errors

Displays the number of unsupported CIP service errors. These errors occur when a message that attempts to access an invalid service is sent to the IO-Link Master.

Unsupported CIP Attribute Errors

Displays the number of unsupported CIP request attribute errors. These errors occur when a message that attempts to access an invalid attribute is sent to the IO-Link Master.

Unsupported File Errors

Displays the number of messages from SLC/PLC-5/MicroLogix PLCs that attempt to access an unsupported file address.

System Resource Errors

Displays the number of system resource errors. These errors indicate a system error on the IO-Link Master such as operating system errors or full message queues. These errors typically occur when the PLC(s) are sending messages to the IO-Link Master faster than the IO-Link Master can process them.

First Error String

Text description of the first error that occurred.

Last Error String

Text description of the last error that occurred.

EtherNet/IP Port Specific Diagnostics

Configuration Errors

Displays the number of improper configuration errors. These errors occur when the IO-Link Master receives a message that cannot be performed due to an invalid configuration.

Invalid Data Errors

Displays the number of invalid message data errors. These errors occur when the IO-Link Master receives a message that cannot be performed due to invalid data.

Active PDO Controller(s)

Lists the controller interface(s) type, (Class 1 or Class 3), and IP address that are controlling the PDO data.

PDO Writes to Offline or Read-Only Ports

Displays the number of PDO write messages that were dropped due to any of the following:

  • The port is configured in IO-Link mode:

  • There is no device connected to the port.

  • The IO-Link device is off-line.

  • The IO-Link device does not support PDO data.

  • The PDO Transmit Mode (To PLC) is disabled.

  • The port is configured in Digital Input mode.

Undeliverable PDI Updates (To PLC)

Displays the number of PDI update messages that could not be delivered to the PLC in the Write-to-Tag/File method. Undeliverable updates may result when:

  • The IO-Link Master cannot complete an Ethernet connection to the PLC.

  • The PDI data is changing faster than the Maximum PLC Update Rate.

ISDU Request Msgs from PLC(s)

Displays the number of ISDU request messages received from the PLC(s) or other controllers. These request messages may contain one or multiple ISDU commands.

ISDU Invalid Requests

Displays the number ISDU requests received over EtherNet/IP with one or more invalid commands.

ISDU Requests When Port Offline

Displays the number of ISDU requests received over EtherNet/IP when the IO-Link port was offline. This can occur when:

  • The IO-Link port is initializing, such as after start-up.

  • There is no IO-Link device attached to the port.

  • The IO-Link device is not responding.

  • Communication to the IO-Link device has been lost.

Valid ISDU Responses From Port

Displays the number of valid ISDU response messages returned from the IO-Link port interface and available to the PLC(s). The response messages contain results to the ISDU command(s) received in the request message.

ISDU Response Timeouts

Displays the number of ISDU requests that did not receive a response within the configured ISDU Response Timeout.

Unexpected ISDU Responses

Displays the number of unexpected ISDU responses.

Unexpected responses may occur when an ISDU response is received after the ISDU request has timed out. This typically requires setting the ISDU Response Timeout to a longer value.

Maximum ISDU Request Msg Response Time

Displays the maximum time period required to process all commands within an ISDU request message. The response is not available until all ISDU command(s) contained in the request have been processed.

Average ISDU Request Msg Response Time

Displays the average time period required to process the ISDU request message(s). The response is not available until all ISDU command(s) contained in the request have been processed.

Minimum ISDU Request Msg Response Time

Displays the minimum time period required to process all commands within an ISDU request message. The response is not available until all ISDU command(s) contained in the request have been processed.

ISDU Read Commands

Displays the number of ISDU read commands received over EtherNet/IP.

ISDU Write Commands

Displays the number of ISDU write commands received over EtherNet/IP.

ISDU NOP Commands

Displays the number of ISDU NOP (no operation) commands received over EtherNet/IP.


Modbus/TCP (Diagnostics)

The Modbus/TCP Diagnostics page contains the following information. You can refer to Modbus/TCP Settings for information about changing Modbus/TCP parameters. If you want detailed information about the IO-Link Master to Modbus/TCP interface, see the IO-Link Master Modbus/TCP Reference Manual.

Click the PAUSE LIVE UPDATES button to pause the diagnostic data collection. Click the RESUME button restart the data collection.

Click the RESET STATISTICS button to reset the values and gather the latest statistics.

Parameters

Modbus/TCP Diagnostics Descriptions

Active Connections

Displays the current number of active Modbus/TCP connections.

Messages Received from Masters

Displays the number of Modbus messages received from Modbus/TCP Masters.

Responses Sent to Masters

Displays the number of Modbus responses sent to Modbus/TCP Masters.

Broadcasts Received

Displays the number of broadcast Modbus/TCP messages received.

Invalid Message Length Errors

Displays the number of Modbus messages received with incorrect length fields.

Invalid Message Data Errors

Displays the number of invalid message data errors. These errors occur when the IO-Link Master receives a message that cannot be performed due to invalid data.

Invalid Message Address Errors

Displays the number of invalid message address errors. These errors occur when the IO-Link Master receives a message that cannot be performed due to an invalid address.

Unknown Device ID Errors

Displays the number of unknown device ID errors. These errors occur when the IO-Link Master receives a message that is addressed to a device ID other than the configured Slave Mode Device ID.

Invalid Protocol Type Errors

Displays the number of invalid message protocol type errors. These errors occur when the IO-Link Master receives a Modbus/TCP message that specifies a non-Modbus protocol..

Unsupported Function Code Errors

Displays the number of invalid Modbus function code errors. These errors occur when the IO-Link Master receives a message that cannot be performed due to an unsupported Modbus function code.

Configuration Errors

Displays the number of improper configuration errors. These errors occur when the IO-Link Master receives a message that cannot be performed due to an invalid configuration.

No Available Connection Errors

Displays the number of Modbus/TCP connection attempts that were rejected due to no available connections. This occurs when the number of Modbus/TCP connections has reached the limit.

System Resource Errors

Displays the number of system resource errors. These errors indicate a system error on the IO-Link such as operating system errors or full message queues. These errors typically occur when the PLC(s) are sending messages to the IO-Link Master faster than the IO-Link Master can process them.

First Error String

Text description of the first error that occurred.

Last Error String

Text description of the last error that occurred.

Modbus/TCP Port Specific Diagnostics

Active PDO Controller(s)

Lists the controller interface(s) type, (Class 1 or Class 3), and IP address that are controlling the PDO data.

PDO Writes to Offline or Read-Only Ports

Displays the number of PDO write messages that were dropped due to any of the following:

  • The port is configured in IO-Link mode:

  • There is no device connected to the port.

  • The IO-Link device is off-line.

  • The IO-Link device does not support PDO data.

  • The PDO Transmit Mode (To PLC) is disabled.

  • The port is configured in Digital Input mode.

ISDU Request Msgs From PLC(s)

Displays the number of ISDU request messages received from the PLC(s) or other controllers. These request messages may contain one or multiple ISDU commands.

ISDU Invalid Requests

Displays the number ISDU requests received over Modbus/TCP with one or more invalid commands.

ISDU Requests When Port Offline

Displays the number ISDU requests received over Modbus/TCP when the IO-Link port was offline. This can occur when:

  • The IO-Link port is initializing, such as after start-up.

  • There is no IO-Link device attached to the port.

  • The IO-Link device is not responding.

  • Communication to the IO-Link device has been lost.

Valid ISDU Responses From Port

Displays the number of valid ISDU response messages returned from the IO-Link port interface and available to the PLC(s). The response messages contain results to the ISDU command(s) received in the request message.

ISDU Response Timeouts

Displays the number ISDU requests that did not receive a response within the configured ISDU Response Timeout.

Unexpected ISDU Responses

Displays the number unexpected ISDU responses. Unexpected responses may occur when an ISDU response is received after the ISDU request has timed out. This typically requires setting the ISDU Response Timeout to a longer value.

Maximum ISDU Request Msg Response Time

Displays the maximum time period required to process all commands within an ISDU request message. The response is not available until all ISDU command(s) contained in the request have been processed.

Average ISDU Request Msg Response Time

Displays the average time period required to process the ISDU request message(s). The response is not available until all ISDU command(s) contained in the request have been processed.

Minimum ISDU Request Msg Response Time

Displays the minimum time period required to process all commands within an ISDU request message. The response is not available until all ISDU command(s) contained in the request have been processed.

ISDU Read Commands

Displays the number ISDU read commands received over Modbus/TCP.

ISDU Write Commands

Displays the number ISDU write commands received over Modbus/TCP.

ISDU NOP Commands

Displays the number ISDU NOP (no operation) commands received over Modbus/TCP.


Configuration

There are five pages for Configuration:

  • IO-Link Settings - You must have operator or administrative right to edit IO-Link port settings.

  • EtherNet/IP Settings

  • Modbus/TCP Settings

  • Network - You must have administrative rights to edit the network settings.

  • Clear Settings

Related Topics

  • Configuring Network Settings

  • Configuring IO-Link Settings

  • Configuring EtherNet/IP Settings

  • Configuring Modbus/TCP Settings

  • Setting Up Passwords


IO-Link Settings

The following table provides detailed information about the IO-Link Settings Configuration page options. You can refer to Configuring IO-Link Settings for configuration procedures.

Options

IO-Link Configuration Descriptions

Port Name

The Port Name is a user-defined port or device description. Ports Names are standard ASCII characters and the maximum length is 80 characters.

Port Mode

(Default: IO-Link)

This is the IO-Link port mode. Valid settings are:

  • Reset

  • IO-Link

  • Digital In

  • Digital Out

Invert IO

(Default: False - Disabled)

If enabled and the Mode is Digital In or Digital Out, this inverts the I/O value.

  • 0=Disabled (Do not invert IO)

  • 1= Enabled (Invert IO)

Note: This does not affect the Auxiliary Input.

Minimum Cycle Time

(Default: 4)

The minimum, or fastest cycle time that the IO-Link device may operate at.

Valid range: 10-65535 ms


EtherNet/IP Settings

The following table provides detailed information about the EtherNet/IP Settings Configuration page options. You can refer to Configuring EtherNet/IP Settings for configuration procedures.

If you want detailed information about the EtherNet/IP interface and the IO-Link Master, see the IO-Link Master EtherNet/IP Reference Manual.

Options

EtherNet/IP Configuration Descriptions

ISDU Data Settings

ISDU Response Timeout (1-10000)

(Default = 20 seconds)

The time that the IO-Link Master’s EtherNet/IP interface will wait for a response to an ISDU request. The timeout needs to set long enough to allow all commands within the ISDU request to be processed.

Process Data Settings

PDI Data Block Size (To PLC)

(Default: 36-bytes)

The configurable PDI data block length. Optional lengths are:

  • 4-bytes (header only)

  • 8-bytes (4 bytes data)

  • 16-bytes (12 bytes data)

  • 24-bytes (20 bytes data)

  • 36-bytes (32 bytes data)

PDI Data Block Format (To PLC)

(Default: Word-16)

Data format of the PDI data block to be transferred to the PLC(s)in the Class 1 and/or Write-to-Tag/File PDI Transfer Modes. Valid PDI Data Formats are:

  • Byte-8(8-bit or SINT)

  • Word-16 (16-bit or INT)

  • Dword-32 (32-bit DINT)

  • The Data Block Format is independent of the PDI Data Byte-Swap Method.

  • This setting is not used for the SLC, PLC-5 and MicroLogix PLCs which are always Word-16.

PDI Data Byte-Swap Method

(Default: Word (16-bit) byte swap)

If enabled, the IO-Link Master swaps the data bytes in word (2 byte) format or dword (4 byte) format. Supported values are:

  • No byte-swap - data passed through as received

  • Word (16-bit) byte-swap - data is byte-swapped in word format

  • Dword (32-bit) byte-swap - data is byte-swapped in dword format

The byte swapping must be set correctly in order to convert from IO-Link (big-endian byte order), to EtherNet/IP (little-endian byte order).

PDO Data Block Size (From PLC)

(Default: 32-bytes)

This is the configurable PDO data block length.

Optional lengths are as shown but the event code is not included:

4-bytes = all data

8-bytes = all data

16-bytes = all data

24-bytes = all data

32-bytes = all data

34-bytes = 32 bytes data, 2 pad bytes

36-bytes = 32 bytes data, 4 pad bytes

The following optional lengths are shown with the event code included:

  • PDO Data Format = Byte8:

  • 4-bytes = 2 byte event code, 2 data bytes

  • 8-bytes = 2 byte event code, 6 data bytes

  • 16-bytes = 2 byte event code, 14 data bytes

  • 24-bytes = 2 byte event code, 22 data bytes

  • 32-bytes = 2 byte event code, 30 data bytes

  • 34-bytes = 2 byte event code, 32 data bytes

  • 36-bytes = 2 byte event code, 32 data bytes, 2 byte pad

  • PDO Data Format = word (16-bit):

  • 4-bytes = event code word, data word

  • 8-bytes = event code word, 3 data words

  • 16-bytes = event code word, 7 data words

  • 24-bytes = event code word, 11 data words

  • 32-bytes = event code word, 15 data words

  • 34-bytes = event code word, 16 data words

  • 36-bytes = event code word, 16 data words, pad word

  • PDO Data Format = dword (32-bit):

  • 4-bytes = event code dword

  • 8-bytes = event code dword, data dword

  • 16-bytes = event code dword, 3 data dwords

  • 24-bytes = dword event code, 5 data dwords

  • 32-bytes = dword event code, 7 data dwords

  • 34-bytes = dword event code, 7 data dwords, 2 data bytes

  • 36-bytes = dword event code, 8 data dwords

PDO Block Data Format (From PLC)

(Default: Word-16)

This is the data format of PDO data block received from PLC(s) in the Class 1 or Read-from-TagOrFile PDO Transfer Modes. This includes these formats:

  • Byte-8 - (8-bit)

  • Word-16 - (16-bit)

  • Dword-32 - (32-bit)

  • The Data Block Format is independent of the PDO Data Byte-Swap Method.

  • This setting is not used for the SLC, PLC-5 and MicroLogix PLCs which are always Word-16.

PDO Data Byte-Swap Method

(Default: Word (16-bit byte swap)

If enabled, the IO-Link Master swaps the data bytes in word (2 byte) format or dword (4 byte) format. Supported values are:

  • No byte-swap - data passed through as received

  • Word (16-bit) byte-swap - data is byte-swapped in word format

  • Dword (32-bit) byte-swap - data is byte-swapped in dword format

The byte swapping must be set correctly in order to convert from EtherNet/IP (little-endian byte order), to IO-Link (big-endian byte order).The byte swapping must be set correctly in order to convert from EtherNet/IP (little-endian byte order), to IO-Link (big-endian byte order).

Clear Event Code In PDO Block

(Default: False)

If enabled, the IO-Link Master expects the first 2 bytes, word, or dword of the PDO block to be used for event code handling. Valid values are:

  • True = expect an event code

  • False = no event code, expect only PDO data

Clear Event Code After Hold Time

(Default: True)

If enabled, the IO-Link master will clear any event code reported in the PDI data block after the Event Active Hold Time. Valid values are:

  • True = clear the event code after the hold time

  • False = do not clear the event code after the hold time

Active Event Hold Time (1-65535)

(Default: 1000 ms)

If Clear Event Code After Hold time is enabled, the time period an event code will be reported in the PDI block before it is cleared.

Valid units are:

  • ms (milliseconds)

  • sec (seconds)

  • min (minutes)

  • hours

  • days

Clear Event Hold Time (1-65535)

(Default: 500ms)

Once an event code has been cleared, the time an event code stays cleared in the PDI block before another event code can be reported. The valid range is 1-65535.

Valid units are:

  • ms (milliseconds)

  • sec (seconds)

  • min (minutes)

  • hours

  • days

Transfer Mode Settings

PDI Receive Mode(s) (To PLC)

(Default: Polling, Class1)

Determines which PDI Receive (To PLC) Modes are enabled. Valid selectable modes are:

  • Polling

  • Class1

  • Write-to-TagOrFile

PDO Transmit Mode (From PLC)

(Default: Class 1)

Selectable modes are:

  • Off

  • PLC-Writes

  • Class1

  • Read-from-TagOrFile

Read/Write Tag/File Settings

PLC IP Address (xxx.xxx.xxx.xxx)

(Default: 0.0.0.0)

The PLC IP Address is required if either Write-to-TagOrFile or Read-from-TagOrFIle mode are enabled.

PLC Controller Slot Number (0-64)

(Default: 0)

The PLC Controller Slot Number is required if either Write-to-TagOrFile or Read-from-TagOrFIle mode are enabled.

PLC Type

(Default: ControlLogix)

Indicates the type of PLC that the tag(s) or file(s) will be written to and/or read from. Valid PLC types are:

  • ControlLogix

  • SLC

  • PLC-5

  • MicroLogix

Write PDI to Tag/File Settings

PDI Tag/File Name

This is the tag or file name to place the PDI data block.

ControlLogix family:

  • Tags must be same type as PDI Data Format (SINT, INT or DINT).

  • Tags must be an array.

  • Tags must be at least as long as the PDI Data Block Length.

SLC/PLC-5/MicroLogix:

  • Files must be of INTEGER (16-bit) type.

  • Files must be named with standard file name conventions (i.e: N10:0, N21:30, etc)

  • The file must be at least as long as the PDI Data Block Length.

Append PDO to PDI Data

(Default: False)

If selected, the IO-Link Master appends any PDO data to the end of the PDI data.

  • False – Do not append PDO data

  • True – Append PDO data

Maximum PLC Update Rate (10-65535)

(Default: 40ms)

The maximum rate at which the IO-Link Master updates the PDI tag or file. This parameter is used to ensure that the PLC receives all state changes. Setting the update rate to 10ms effectively disables this feature.

Heartbeat Update Enable

(Default: False)

If selected, the IO-Link Master updates the PDI data block at the Heartbeat Update Rate.

  • False – Heartbeat update disabled

  • True – Heartbeat update enabled

Heartbeat Update Rate (50-65535)

(Default: 1000ms)

If Heartbeat Update Enable is selected, the rate at which the IO-Link Master updates the PDI data block in the Write-to-Tag/File mode.

Read PDO from Tag/File Settings

PDO Tag/File Name

The tag or file name that the IO-Link Master reads the PDO data block from.

ControlLogix family:

  • Tags must be same type as PDO Data Format (SINT, INT or DINT).

  • Tags must be an array.

  • Tags must be at least as long as the PDO Data Block Length.

SLC/PLC-5/MicroLogix:

  • Files must be of INTEGER (16-bit) type.

  • Files must be named with standard file name conventions (i.e: N10:0, N21:30, etc)

  • The file must be at least as long as the PDO Data Block Length.

PLC Poll Rate (10-65535)

(Default: 1000ms)

The frequency at which the IO-Link Master reads the PDO data block in the Read-from-Tag/File mode.


Modbus/TCP Settings

The following table provides detailed information about the Modbus/TCP Settings Configuration page options. You can refer to Configuring Modbus/TCP Settings for configuration procedures.

If you want detailed information about the IO-Link Master to Modbus/TCP interface, see the IO-Link Master Modbus/TCP Reference Manual.

Options

Modbus/TCP Configuration Descriptions

ISDU Data Settings

ISDU Response Timeout (1-10000)

(Default = 20 seconds)

The time that the IO-Link Master’s Modbus/TCP interface waits for a response to an ISDU request. The timeout needs to set long enough to allow all commands within the ISDU request to be processed.

Process Data Settings

PDI Data Block Size (To PLC)

(Default: 36-bytes)

This is the configurable PDI data block length. Optional lengths are:

  • 4-bytes (header only)

  • 8-bytes (4 bytes data)

  • 16-bytes (12 bytes data)

  • 24-bytes (20 bytes data)

  • 36-bytes (32 bytes data)

PDI Byte-Swap Method

(Default: No byte swap)

If enabled, the IO-Link Master swaps the data bytes in word (2 byte) format or dword (4 byte) format. Options include:

  • No byte-swap - data passed through as received

  • Word (16-bit) byte-swap - data is byte-swapped in word format

  • Dword (32-bit) byte-swap - data is byte-swapped in dword format

  • Because both IO-Link and Modbus/TCP use big-endian byte ordering, byte swapping typically is not required for word and dword data.

  • Byte swapping is most commonly required when receiving byte (8-bit) data and it is desired to place the first data byte in the least significant byte position of the holding register. For these cases, word (16 bit) byte-swap is typically used.

PDO Data Block Size (From PLC)

(Default: 32-bytes)

This is the configurable PDO data block length.

Optional lengths that do not include the event code are:

  • 4-bytes = 2 data words

  • 8-bytes = 4 data words

  • 16-bytes = 8 data words

  • 24-bytes = 12 data words

  • 32-bytes = 16 data words

  • 34-bytes = 16 data words, 1 pad word

Optional lengths that include the event code are:

  • 4-bytes = event code word, 1 data word

  • 8-bytes = event code word, 3 data words

  • 16-bytes = event code word, 7 data words

  • 24-bytes = event code word, 11 data words

  • 32-bytes = event code word, 15 data words

  • 34-bytes = event code word, 16 data words

PDO Byte-Swap Method

(Default: No byte-swap)

If enabled, the IO-Link Master swaps the data bytes in word (2 byte) format or dword (4 byte) format.

Options include:

  • No byte-swap - data passed through as received

  • Word (16-bit) byte-swap - data is byte-swapped in word format

  • Dword (32-bit) byte-swap - data is byte-swapped in dword format

Because both IO-Link and Modbus/TCP use big-endian byte ordering, byte swapping typically is not required for word and dword .

Append PDO to PDI Data

(Default: False)

If selected, the IO-Link Master appends any PDO data to the end of the PDI data.

  • False-Do not append PDO data

  • True-Append PDO data

Clear Event Code In PDO Block

(Default: False)

If enabled, the IO-Link Master expects the first word of the PDO block to be used for event code handling. Valid values are:

  • True = expect event code

  • False = no event code, expect only PDO data

Clear Event Code After Hold Time

(Default: True)

If enabled, the IO-Link Master will clear any event code reported in the PDI data block after the Event Active Hold Time. Valid values are:

  • True = clear event code after hold time

  • False = do not clear event code after hold time

Active Event Hold Time (1-65535)

(Default: 1000ms)

If Clear Event Code After Hold time is enabled, the time period an event code is reported in the PDI block before it is cleared. Valid units are:

  • ms (milliseconds)

  • sec (seconds)

  • min (minutes)

  • hours

  • days

Clear Event Hold Time (1-65535)

(Default: 500ms)

Once an event code clears, the time an event code stays cleared in the PDI block before another event code is reported. Valid units are:

  • ms (milliseconds)

  • sec (seconds)

  • min (minutes)

  • hours

  • days

Transfer Mode Settings

Slave Mode Device ID (1-247)

(Default: 1)

The Modbus Device ID used to access this IO-Link port.

PDI Receive Mode(s) (To PLC)

(Default: Slave)

This determines which PDI Receive (To PLC) Modes are enabled. Selectable modes are:

  • Slave

  • Disabled

Note: Not selecting Slave mode disables Modbus/TCP access to the PDI data block.

PDO Transmit Mode(s) (From PLC)

(Default: Slave)

Selectable modes are:

  • Disabled

  • Slave


Network

The Network Configuration Parameters table provides detailed information about the Network Configuration page.

Rotary switch settings override the network settings on this page. Refer to Configuring Network Settings for configuration procedures using this web page.

Network Configuration Parameters

Network Configuration

Description

Host Name

You can enter a Host Name to identify a specific IO-Link Master.

There is no default name. The Host Name is limited to 40 characters, you can use any combination of characters in the Host Name.

IP Type

You can configure the IO-Link Master for a static IP address or set it to DHCP.

IP Address (xxx.xxx.xxx.xxx)

If you select Static for the IP Type, you must enter a valid IPv4 address. If necessary, see your Network Administrator for a valid IP address for this IO-Link Master.

The default IP address is: 192.168.1.250.

If you select DHCP, this field displays the last IP address programmed into the IO-Link Master.

Rotary switch settings override this network setting.

Subnet Mask
(xxx.xxx.xxx.xxx)

If you select Static for the IP Type, enter a valid subnet mask for your network.

The default Subnet Mask is: 255.255.255.0.

Gateway Address
(xxx.xxx.xxx.xxx)

If you select Static for the IP Type,enter a valid IP gateway address for your network.

The default Gateway Address is: 0.0.0.0.

DNS 1 (xxx.xxx.xxx.xxx)

If desired, enter the primary DNS server address.

This is not applicable if you select DHCP, the DHCP server should provide the DNS server address.

DNS 2 (xxx.xxx.xxx.xxx)

If desired, enter the secondary DNS server address.

This is not applicable if you select DHCP, the DHCP server should provide the DNS server address.

Syslog Server IP/Hostname

Enter the IP address (or host name if DNS is configured) of the syslog server.

Syslog Server Port (0 - 65535)

Enter the port number on the syslog server.

The default port number is 514.

SSH Server Enable

You can enable or disable the SSH Server.

EtherNet/IP Specific Options

IP Address Conflict Detection

(Default: Enable)

When enabled, the IO-Link master will periodically check for IP address conflicts on the Ethernet network.

TTL (Time To Live) Network Value (1-255)

(Default: 1)

The TTL value indicates how many network “hops” can be made for Multicast packets. It is used to prevent Multicast packets from being forwarded beyond its own subnet(s). Each network router decreases the hop count when forwarding the Multicast packet. Once the hop count reaches zero, the Multicast packet is no longer forwarded.

Multicast IP Address Allocation Control

(Default: Automatic)

This setting indicates how the starting Multicast address is determined.

  • Automatic – The IO-Link Master determines the starting Multicast IP address based on an EtherNet/IP specification algorithm.

  • User-Defined – The user sets the starting Multicast address.

User-Defined Number of Multicast IP Addresses (1-32)

(Default: 32)

When the Multicast IP Address Allocation Control is set to User-Defined, the maximum number of Multicast addresses that the IO-Link Master may use.

User-Defined Multicast Start IP Address (239.192.1.0-239.255.255.255)

(Default: 239.192.1.0)

When the multicast IP Address Allocation Control is set to User-Defined, the Multicast starting IP address for the IO-Link Master. Make sure you avoid redundant Multicast IP addresses on a network.

LED Flash: 0/1

ON/OFF

You can force the IO-Link port LEDs on this IO-Link Master into a flashing tracker pattern that allows you to easily identify a particular unit.

Click the ON button to enable the LED tracker feature on the IO-Link Master. Click the OFF button to disable the LED tracker. The LEDs remain flashing until you disable the LED tracker feature.


Clear Settings

If you click the Clear Settings button, the IO-Link Master resets the settings excluding the following:

  • Host name

  • DHCP/Static network settings

  • Static IP address

  • Static IP network mask

  • Static IP gateway


Advanced

There are three Advanced pages:

  • Software

  • Accounts

  • Log Files

All user audiences can access the Log Files page. You must have administrative right to edit the Software and Accounts pages.


Software

The IO-Link Master is loaded with the following software, which can be updated on this page or optionally, you can use PortVision DX. You can check the Comtrol Corporation ftp interface for the latest software versions.

The upper portion of this page is used to update the IO-Link Master images. The lower portion of this page is used for updating application subassemblies that are integrated in the Application Base for the IO-Link Master.

For procedures, refer to Uploading Software. New images or application files may contain feature enhancements or bug fixes.

Images

Description

U-Boot Bootloader

U-Boot is a high-level bootloader that has networking and console command line capabilities. Among other things, it implements a TFTP server and Comtrol Corporation's new discovery protocol. This verifies that a Linux kernel image exists in NAND, then copies it to RAM and starts the IO-Link Master.

The U-Boot version is displayed after the image name.

FPGA

The FPGA partition/image contains configuration data used by programmable hardware within the IO-Link Master unit.

System -- Primary/Backup

The system uImage contains the Linux kernel and the RAM-resident root file system. It does not contain industrial protocol support or application-specific features.

There is a Primary and Backup version loaded on the IO-Link Master. The IO-Link Master automatically reloads the Backup uImage if the file system corrupted.

The uImage version is displayed after the Primary/Backup uImage.

Application Base

The Application Base image comprises a flash-resident file system containing application and protocol support. The Application Base is built from a collection of application subassemblies -- each of which may be updated individually between releases of the application base as a whole.

The application subassemblies in the Application Base image are displayed in the lower portion of this page.

The Application Base assembly has a 2-tuple version number: (for example, 1.10).

Application subassemblies have 3-tuple or 4-tuple version numbers (for example, 1.10.1). The first two values in a subassembly version correspond to the version of the application base assembly for which it was built and tested.

For example, a subassembly with version 1.10.3 was tested with application base version 1.10. When using this page or PortVision DX, an application subassembly can install only if its version number matches that of the installed application base assembly. A subassembly with a version of 1.20.2.4 only installs if the application base version is 1.20. It will not install on a device with application base version 1.09 or 1.20.

Application Subassemblies | Description
application-manager | The Application Manager version loaded on the IO-Link Master.
configuration-manager | The Configuration Manager version loaded on the IO-Link Master.
discovery-protocol | The Discovery Protocol version loaded on the IO-Link Master.
ethernetip | The EtherNet/IP interface loaded on the IO-Link Master.
event-log | The Event log version loaded on the IO-Link Master.
iolink-driver | The IO-Link version loaded on the IO-Link Master.
ethernetip | The EtherNet/IP version loaded on the IO-Link Master.
web-user-interface | The web interface version loaded on the IO-Link Master.


Accounts

The IO-Link Master is shipped from the factory without passwords.

You can use the Accounts page to set up passwords for the IO-Link Master.

This table shows the three different password levels that you can configure. By default, there are no passwords configured and administrative permissions are granted.

Page | Admin | Operator | User
Log-in | Yes | Yes | Yes
Home | Yes | Yes | Yes
Diagnostics - All | Yes | Yes | Yes
Configuration - IO-Link Settings | Yes | Yes | No
Configuration - EtherNet/P Settings | Yes | Yes | No
Configuration - Modbus/TCP Settings | Yes | Yes | No
Configuration - Network | Yes | No | No
Advanced - Software | Yes | No | No
Advanced - Accounts | Yes | No | No
Advanced - Log Files | Yes | Yes | Yes
Advanced - Licenses | Yes | Yes | Yes
Help - All | Yes | Yes | Yes


Log Files

The IO-Link Master provides four different log files that you can view, export, or clear:

  • Syslog (system log) displays line-by-line activity records.

  • dmesg displays Linux kernel messages.

  • top displays which programs are using most of the memory and CPU.

  • ps displays the running programs

All log files start up automatically during the startup cycle. Each log file has a size limit of 100KB.

Log files are intended to be used by Technical Support in the event there is a problem.

For more information, see Using Log Files.


Initial Configuration

Use the following discussions to configure the IO-Link Master.

  • Configuring Network Settings

  • Configuring IO-Link Settings

  • Configuring EtherNet/IP Settings

  • Configuring Modbus/TCP Settings

  • Setting Up Passwords


Configuring Network Settings

The following procedures are available in this section:

  • Using the Network page (below)

  • Setting the rotary switch

  • LED flash, if necessary, to identify an IO-Link Master

Using the Network Page

You can use the following procedure to configure the IO-Link Master network settings if you have administrative rights. If you need more information about the options on this page, see the Network Configuration Parameters table.

The rotary switch settings override network settings configured on this page. The default rotary switch setting uses the settings configured in the flash.

  1. Click the EDIT button.

  2. Optionally, enter a host name.

  3. Select the IP type, Static or DHCP.

  4. If using a static IP address, enter the static IP address, subnet mask and IP gateway address.

  5. If using DNS:

    1. Enter the DNS primary server IP address.

    2. Optionally, enter the DNS secondary server IP address.

  6. If you want the IO-Link Master to send syslog messages to a syslog server:

    1. Enter the syslog server's IP address (or host name if using DNS).

    2. Enter the syslog server's port number (default is 514).

  7. If you want to enable the SSH server, click Enable.

  8. If necessary, change the EtherNet/IP Specific Options as required for your site:

    1. Optionally, disable IP Address Conflict Detection.

    2. Optionally, change the TTL Network Value.

    3. Optionally, change the Multicast IP Address Allocation Control from Automatic to User-Defined.

    4. Optionally, change the value for the User-Defined Number of Multicast IP Addresses.

    5. Optionally, change the User-Defined Multicast Start IP Address.

  9. Click Submit to save the changes.

Setting the Rotary Switch

Rotary switch settings override the network settings on this web page. The rotary switch controls the last three digits an IP address starting with 192.168.1. Default rotary switch settings are set to 000.

Switch Position | Description
000 | Use the configuration in the flash. This is the default setting from the factory.
001-254 | This is the last three digits in the IP address. This uses the first three numbers from the configured static address, which defaults to 192.168.1.xxx.
255-887 | Reserved
888 | Reset to factory defaults
889-997 | Reserved
998 | Use DHCP
999 | Use default IP address

The switches only take effect during startup, but the current position will always be shown on the Support web page.

Use this procedure to set the rotary switches.

  1. Using a small Phillips screwdriver, unscrew the window retaining screws.

  2. Open the window and use the screwdriver to rotate each switch to the appropriate address. A small arrow points to the address setting that is used.

  3. Close the window and replace the screws.

LED Flash

You can force the IO-Link port LEDs on this IO-Link Master into a flashing tracker pattern that allows you to easily identify a particular unit.

Click the ON button to enable the LED tracker feature on the IO-Link Master. Click the OFF button to disable the LED tracker. The LEDs remain flashing until you disable the LED tracker feature.


Configuring IO-Link Settings

You can use the IO-Link Settings page or the PortVision DX Property page Software Settings tab.

Use the following procedure to configure IO-Link settings using the web page.

  1. Click the EDIT button.

  2. Make appropriate selections for the IO-Link device that you will connect to that port.

Refer to the IO-Link Settings table if you require definitions or values for the options

  3. Click the Save button.


Configuring EtherNet/IP Settings

You can configure the EtherNet/IP port settings using this web page or you can use the PortVision DX Property page Software Settings tab.

Use this procedure to configure EtherNet/IP characteristics using the ETHERNET/IP SETTINGS page.

  1. Click the EDIT button.

  2. Make appropriate selections for EtherNet/IP for the IO-Link device that you will connect to that port.

Refer to the EtherNet/IP Settings table if you require definitions or values for the options. If you want detailed information about the EtherNet/IP interface and the IO-Link Master, see the IO-Link Master EtherNet/IP Reference Manual.

  3. Scroll to the top of the page and click the SAVE button.

Make sure that the port now displays the EDIT button.

If it displays the SAVE and CANCEL buttons, that means that one of the parameters contains an incorrect value. If necessary, scroll down the page, make the needed corrections, and click SAVE.

  4. Repeat for each port that requires configuration changes.


Configuring Modbus/TCP Settings

You can configure the Modbus/TCP port settings using this web page or you can use the PortVision DX Property page Software Settings tab.

Use this procedure to configure Modbus/TCP settings using the web page.

  1. Click the EDIT button.

  2. Make appropriate selections for Modbus/TCP for the IO-Link device that you will connect to that port.

Refer to the Modbus/TCP Settings table if you require definitions or values for the options. If you want detailed information about the IO-Link Master to Modbus/TCP interface, see the IO-Link Master Modbus/TCP Reference Manual.

  3. Scroll to the top of the page and click the Save button.

Make sure that the port now displays the EDIT button.

If it displays the SAVE and CANCEL buttons, that means that one of the parameters contains an incorrect value. If necessary, scroll down the page, make the needed corrections, and click SAVE.

  4. Repeat for each port that requires configuration changes.


Setting Up Passwords

The IO-Link Master is shipped from the factory without passwords. See the Accounts discussion if you want to see how permissions are granted.

You can use this procedure to set up passwords for the IO-Link Master.

  1. Click the ADMIN check box.

    1. Enter the new password.

    2. Re-enter the password in the Confirm Password text box.

  2. Optionally, click the Operator check box.

    1. Enter the new password.

    2. Re-enter the password in the Confirm Password text box.

  3. Optionally, click the User check box.

    1. Enter the new password.

    2. Re-enter the password in the Confirm Password text box.

  4. Click Apply.

  5. Close the new window that displays a Password saved banner.

  6. Click the Log out button (top navigation bar).

  7. Re-open the web interface by selecting the appropriate audience in the drop list and entering the password.


Managing the IO-Link Master

This section discusses the following topics:

  • Uploading the latest software

  • Using log files

  • Using the IO-Link Master LEDs


LEDs

The following table displays LED information.

LED

Description

PWR

Green indicates that the IO-Link Master is powered.

MS

(Module Status)

  • Steady Off = No module status

  • Flashing green and red = Self-test

  • Flashing green = Standby – not configured

  • Steady green = Operational

  • Flashing red = Minor recoverable fault

  • Steady red = Major unrecoverable fault

NET

(Network)

  • Steady Off = No power, no IP address

  • Flashing green and red = Self-test

  • Flashing green = An IP address is configured, but no CIP connections are established, and an Exclusive Owner connection has not timed out.

  • Steady green = Active EtherNet/IP connection and no EtherNet/IP connection timeouts

  • Flashing red = One or more EtherNet/IP connection timeouts

  • Steady red = Duplicate IP address on network

Port 1-4

This LED provides the following information about the IO-Link port.

  • Off: SIO mode - signal is low or disconnected.

  • Yellow: SIO mode - signal is high.

  • Red: Hardware fault.

  • Solid Green: An IO-Link device is connected and communicating.

  • Blinking Green: Searching for IO-Link devices.

Port 1-4

DI

This LED indicates digital input on Pin 2

  • Off: DI signal is low or disconnected.

  • Yellow: DI signal is high.

EIP

Green lit LED = Link

Green blinking LED = Activity


Uploading Software

You can use the appropriate procedure to update the IO-Link Master software or optionally, you can use PortVision DX. For information about images and applications, you can refer to the Software discussion.

You must sign in with administrative privileges to update software.

  • Uploading images

  • Uploading Applications

Uploading Images

Use this procedure to upload images using the Software page.

  1. Download the latest image from the Comtrol Corporation ftp site.

  2. Click Advanced and Software.

  3. Click the UPDATE link next to the image you want to update.

  4. Click the Browse button (or Choose File, depending on the web browser), navigate to the file location, highlight the image file, and click Open.

  5. Click the Install button.

  6. Click the CONTINUE button to the Update Image message.

  7. Click Ok to close the Update Image Successful message.

Uploading Applications

Use this procedure to upload applications using the Software page.

  1. Download the latest application from the Comtrol Corporation ftp site.

  2. Click Advanced and Software.

  3. Click the Browse button (Choose File, depending on the web browser) under Update Application, navigate to the file location, highlight the image file, and click Open.

  4. Click the Install button.

  5. Click the CONTINUE button to the Update Application message.

  6. Click Ok to close the Update Application Successful message.


Using Log Files

The IO-Link Master provides four different log files. For information about the log file types, see Log Files. Log files are intended to be used by Technical Support in the event there is a problem.

You can use the following procedures to:

  • View a log file

  • Clear a log file

  • Export a log file

View a Log File

Use this procedure to view a log file.

  1. Select the log file type from the drop-list.

  2. Click the REFRESH button.

  3. Optionally, export the log file.

Clear a Log File

Use this procedure to clear a log file.

  1. Optionally, export the log file.

  2. Select the log file type from the drop-list.

  3. Click the CLEAR button.

The log file automatically starts logging the latest information.

Export a Log File

Use the following procedure to export a log file.

  1. Select the log file type from the drop-list.

  2. Click the EXPORT button.

  3. Click the Save button drop-list and click Save to save it to your user folder or Save as to browse to or create a new folder.


Support

You can use this page to display all system level information in a single location in the event that you need to call the Comtrol Corporation Technical Support team.

Category | Description
System Info | System Information values, excluding the Serial Number, can be configured using the Advanced - Network page or PortVision DX.
Application Base | This is a complete list of the Application subassembly versions loaded on this IO-Link Master. You can update application subassemblies using the Advanced - Software page. You can check for the latest application subassemblies using the Comtrol Corporation ftp interface.
Images | This is a complete list of the image versions loaded on this IO-Link Master. You can refer the Software page for information about images and the application base.

If you need to locate a specific IO-Link Master, you can use the LED flash feature on the Software configuration page.

Before Contacting Technical Support

You may want to check the following before contacting Technical Support as they may request that you perform these procedures.

  • Open the IO-Link Master web interface and review the following web pages that may indicate what the underlying problem:

    • IO-Link Diagnostics

    • EtherNet/IP Diagnostics

    • Modbus/TCP Diagnostics

  • Reboot the IO-Link Master

  • Verify that you are using the correct types of cables on the correct connectors and that all cables are connected securely. Cabling information is available in the PortVision DX help system or the IO-Link Master 4-EIP User Guide.

  • Check the IO-Link Master LEDs

  • Verify that the network IP address, subnet mask, and gateway are correct and appropriate for the network. Make sure that the IP address programmed into the IO-Link Master matches the unique reserved IP configured address assigned by the system administrator.

  • If using DHCP, the host system needs to provide the subnet mask. The gateway is optional and is not required for a purely local network.

Remember that the IP address set on the IO-Link Master with the rotary switches override software settings on the Network page or in PortVision DX.

  • Verify that the Ethernet hub and any other network devices between the system and the IO-Link Master are powered up and operating.

  • If you have a spare IO-Link Master, try replacing the IO-Link Master.

Contacting Comtrol Corporation

You can also refer to the Support web page for additional support options.

To contact Comtrol Corporation, you can call 763.957.6000 (8AM to 6PM CST/USA).